import React from 'react';
import purebem from 'purebem';
import FoundationPanel from './FoundationPanel';
import './FoundationMessagePanel.scss';
export default function FoundationMessagePanel(_ref) {
  var children = _ref.children,
      _ref$title = _ref.title,
      title = _ref$title === void 0 ? null : _ref$title,
      _ref$ui = _ref.ui,
      ui = _ref$ui === void 0 ? 'gray' : _ref$ui;
  var block = purebem('foundation-message-panel');
  return /*#__PURE__*/React.createElement("div", {
    className: block({
      ui: ui
    })
  }, /*#__PURE__*/React.createElement(FoundationPanel, {
    ui: ui
  }, /*#__PURE__*/React.createElement("div", {
    className: block('content')
  }, title !== null && title !== '' ? /*#__PURE__*/React.createElement("div", {
    className: block('content-title')
  }, title) : null, children)));
}
//# sourceMappingURL=FoundationMessagePanel.js.map